For the complete documentation index, see llms.txt. This page is also available as Markdown.

EpisysDbExtract

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getEpisysDbExtract

post

Retrieve EpisysDbExtract parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getEpisysDbExtract
POST /nexum/627/2022.01/parameter/getEpisysDbExtract HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "EpisysDbExtract": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getEpisysDbExtract"
}

getEpisysDbExtractSelectFields

post

Retrieve EpisysDbExtract parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getEpisysDbExtractSelectFields
POST /nexum/627/2022.01/parameter/getEpisysDbExtractSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "EpisysDbExtractFields": {
      "ExtractDate": [
        1
      ]
    }
  }
}
200

Successful operation.

{
  "EpisysDbExtract": null,
  "MessageId": "getEpisysDbExtractSelectFields"
}

updateEpisysDbExtractByID

post

Update EpisysDbExtract parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateEpisysDbExtractByID
POST /nexum/627/2022.01/parameter/updateEpisysDbExtractByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 209

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "EpisysDbExtractUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateEpisysDbExtractByID"
}

Last updated

Was this helpful?